<?php

/**
 * Phire Get Themes Download
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$back = $lang->__('Back');
$thme = $lang->__('Theme');
$vrsn = $lang->__('Version');
$auth = $lang->__('Author');
$desc = $lang->__('Description');
$rtng = $lang->__('Rating');
$dloads = $lang->__('# of Downloads');
$dload = $lang->__('Download?');
$dload_btn = $lang->__('Download');

$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 25px; text-align: left;\"><a class=\"grayLink\" href=\"./download-themes.php?sort=theme_name\">{$thme}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: center;\"><strong>{$vrsn}</strong></td><td class=\"grayHeader\" style=\"padding: 0; text-align: center;\"><strong>{$auth}</strong></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><strong>{$desc}</strong></td><td class=\"grayHeader\" style=\"padding: 0 0 0 12px; width: 70px; text-align: left;\"><a class=\"grayLink\" href=\"./download-themes.php?sort=theme_rating\">{$rtng}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><a class=\"grayLink\" href=\"./download-themes.php?sort=theme_downloads\">{$dloads}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$dload}</strong></td></tr>";

try {

    // Set any sort parameters and parse the themes XML feed.
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;
    $sort = (isset($_GET['sort'])) ? '?sort=' . $_GET['sort'] : null;
    $url = 'http://www.phirecms.org/extensions/themes/feed.php?v=1.1.2' . $sort;

    if (($xml =@ new SimpleXMLElement($url, LIBXML_NOWARNING, true)) !== false) {

        // If themes found, print out listing table.
        if (isset($xml->theme[0])) {

            // Calculate the allowed sites for the user.
            $sites = new Phire_Table_Sites();
            $sites->findAll('site_id ASC');
            $siteAry = array();

            foreach ($sites->rows as $site) {
                if (in_array($site->site_id, $sess->sites)) {
                    $siteAry[$site->site_id] = $site->site_domain;
                }
            }

            // Create the 'site_id' form element.
            $site_id = new Moc10_Form_Element_Select('site_id', $siteAry, null, '                        ');
            $site_id->setLabel('Add to Site:');
            $site_id->setAttributes('style', 'float: right; margin: 0 20px 0 0;');

            $siteSelect = $site_id->render();

            // Set the table header template.
            $tableHeader = <<<TABLEHEADER
        <form id="themesForm" action="../core/process/download.themes.php" method="post" onsubmit="return themesFrm.checkValidate('theme');">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, themesFrm, 'dload_themes');" /><span style="margin: 0; padding: 0 45px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span>&lt;&lt;&lt; <a class="orangeLink" href="./themes.php">{$back}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

            // Set the row template.
            $rowTmpl = "                <tr>[{row}]</tr>\n";

            // Set the table footer template.
            $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        <input style="float: right;" type="submit" class="submitBtn" value="{$dload_btn}" />
{$siteSelect}
                        <input type="hidden" name="baseurl" value="{$xml->attributes()->baseurl}" />
                        <span style="display: block; margin: 5px 0 0 0; padding: 0 15px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span>
                    </td>
                </tr>
            </table>
        </form>
        <script type="text/javascript">
            themesFormInit();
        </script>

TABLEFOOTER;

            $theme_rows = array();
            $id = null;

            // Iterate through each theme, formatting and setting it to a row.
            foreach ($xml as $node) {
                $ratingDiv = "<div><span class=\"hide\">{$node->attributes()->rating} out of 5</span>";
                for ($i = 1; $i <= $node->attributes()->rating; $i++) {
                    $ratingDiv .= "<div class=\"ratingBlock\"></div>";
                }
                for ($i = ($node->attributes()->rating + 1); $i <= 5; $i++) {
                    $ratingDiv .= "<div class=\"ratingBlockBlank\"></div>";
                }
                $ratingDiv .= "</div>";
                if (isset($node->attributes()->image)) {
                    $theme_row = "<td style=\"padding: 7px 0 7px 25px; text-align: left;\"><strong>{$node->attributes()->name}</strong><br /><img class=\"themeThumb\" src=\"http://{$xml->attributes()->baseurl}/extensions/themes/images/{$node->attributes()->image}\" width=\"120\" alt=\"\" /></td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">{$node->attributes()->version}</td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">{$node->attributes()->author}</td><td style=\"padding: 7px 0 7px 0; text-align: left; vertical-align: top;\">{$node[0]}</td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">{$ratingDiv}</td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">{$node->attributes()->downloads}</td><td style=\"padding: 3px 0 7px 0; text-align: center; vertical-align: top;\"><input type=\"checkbox\" class=\"checkBox\" id=\"dload_themes{$id}\" name=\"dload_themes[]\" value=\"{$node->attributes()->id}\" /><input type=\"hidden\" name=\"file_{$node->attributes()->id}\" value=\"{$node->attributes()->file}\" /></td>";
                } else {
                    $theme_row = "<td style=\"padding-left: 25px; text-align: left;\"><strong>{$node->attributes()->name}</strong></td><td style=\"text-align: center;\">{$node->attributes()->version}</td><td style=\"text-align: center;\">{$node->attributes()->author}</td><td style=\"text-align: left;\">{$node[0]}</td><td style=\"text-align: center;\">{$ratingDiv}</td><td style=\"text-align: center;\">{$node->attributes()->downloads}</td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"dload_themes{$id}\" name=\"dload_themes[]\" value=\"{$node->attributes()->id}\" /><input type=\"hidden\" name=\"file_{$node->attributes()->id}\" value=\"{$node->attributes()->file}\" /></td>";
                }

                $theme_rows[] = array('row' => $theme_row);
                $id++;

            }

            // Get the system pagination limit.
            $cfg = new Phire_Table_Config();
            $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($theme_rows);
            $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

            // Render the themes results.
            $sess->themes = new Moc10_Session_Paginator($theme_rows, $pg_num, $pg_range);
            $sess->themes->setHeader($tableHeader);
            $sess->themes->setRowTemplate($rowTmpl);
            $sess->themes->setFooter($tableFooter);
            $sess->themes->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

        // Else, print a no results table.
        } else {

            print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td>&lt;&lt;&lt; <a class="orangeLink" href="./themes.php">{$back}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="7" style="padding: 25px;">There are currently no themes available for download.</td></tr>
        </table>

TABLEHEADER;

        }

    // Else, print a no results table.
    } else {
            print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td>&lt;&lt;&lt; <a class="orangeLink" href="./themes.php">Back</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="7" style="padding: 25px;">There are currently no themes available for download.</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    $msg = $e->getMessage();

    print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td>&lt;&lt;&lt; <a class="orangeLink" href="./themes.php">Back</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="7" style="padding: 25px;">{$msg}</td></tr>
        </table>

TABLEHEADER;

}

?>
