<?php

/**
 * Phire Mobile Get Feeds
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$add = $lang->__('Add Feed');
$fd_tle = $lang->__('Feed Title');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = strtoupper($lang->__('Remove'));

$int_sort_id = 'feed_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./feeds.php?sort=feed_id\">ID #</a></td><td class=\"grayHeader\" style=\"padding: text-align: left;\"><a class=\"grayLink\" href=\"./feeds.php?sort=feed_title\">{$fd_tle}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 20%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 20%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    // Execute the SQL query.
    $feeds = new Phire_Table_Feeds();
    $feeds->execute("SELECT * FROM " . DB_PREFIX . "feeds WHERE site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort);

    if (isset($feeds->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="feedsForm" action="../../core/process/remove.feeds.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-feed.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Iterate through each feed, formatting and printing it into a row.
        foreach ($feeds->rows as $feed) {

            $site = new Phire_Table_Sites();
            $site->findById($feed->site_id);

            $feed_title = Moc10_String::setString($feed->feed_title)->strip()->html();
            print("                <tr><td style=\"padding: 0; text-align: center;\">{$feed->feed_id}</td><td style=\"text-align: left;\"><a href=\"./edit-feed.php?fid={$feed->feed_id}\">{$feed_title}</td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../../core/process/copy.feed.php?fid={$feed->feed_id}&mobile=true\" title=\"Copy Feed\"><span class=\"hide\">Copy Feed</span></a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_feeds[]\" value=\"{$feed->feed_id}\" /></td></tr>\n");

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nofeeds = $lang->__('There are currently no feeds.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-feed.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="4" style="padding: 25px;">{$nofeeds}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
