<?php

/**
 * Phire Mobile Get Sections
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$add = $lang->__('Add Section');
$sect_tle = $lang->__('Section Title');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = strtoupper($lang->__('Remove'));

$int_sort_id = 'section_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./sections.php?sort=section_id\">ID #</a></td><td class=\"grayHeader\" style=\"text-align: left;\"><a class=\"grayLink\" href=\"./sections.php?sort=section_title\">{$sect_tle}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 20%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 20%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    // Execute the SQL query.
    $sects = new Phire_Table_Sections();
    $sects->execute("SELECT * FROM " . DB_PREFIX . "sections WHERE site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort);

    if (isset($sects->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="sectsForm" action="../../core/process/remove.sections.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-section.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Iterate through each section, formatting and printing it to a row.
        foreach ($sects->rows as $sect) {

            $section_title = Moc10_String::setString($sect->section_title)->strip()->html();

            $site = new Phire_Table_Sites();
            $site->findById($sect->site_id);

            print("                <tr><td style=\"padding: 0; text-align: center;\">{$sect->section_id}</td><td style=\"text-align: left;\"><a href=\"./edit-section.php?sid={$sect->section_id}\">{$section_title}</a></td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../../core/process/copy.section.php?sid={$sect->section_id}&mobile=true\" title=\"Copy Section\"><span class=\"hide\">Copy Section</span></a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_sects[]\" value=\"{$sect->section_id}\" /></td></tr>\n");

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nosects = $lang->__('There are currently no sections.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-section.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="4" style="padding: 25px;">{$nosects}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
