<?php

/**
 * Phire Remove Themes
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Get the themes to remove.
    $rm_themes = array();
    $rm_themes = $_POST['rm_themes'];

    if (isset($rm_themes[0])) {

        foreach ($rm_themes as $value) {

            // Get the theme.
            $theme = new Phire_Table_Themes();
            $theme->findById($value);

            // Get the site.
            $site = new Phire_Table_Sites();
            $site->findById($theme->site_id);

            // Remove the related templates.
            $tmplAry = array();
            $tmplAry = explode('|', $theme->templates);

            if (count($tmplAry) > 0) {
                foreach ($tmplAry as $id) {
                    $pages = new Phire_Table_Pages();
                    $pages->execute("UPDATE " . DB_PREFIX . "pages SET template_id = 0 WHERE template_id = '" . $id . "'");
                    $sites = new Phire_Table_Sites();
                    $sites->execute("UPDATE " . DB_PREFIX . "sites SET default_template_id = 0 WHERE default_template_id = '" . $id . "'");
                    $tmpl = new Phire_Table_Templates();
                    $tmpl->findById($id);
                    $tmpl->delete();
                }
            }

            // Remove the theme file.
            if (($theme->theme_file != '') && (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_file))) {
                unlink($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_file);
            }

            // Clean out and remove any theme files and folders.
            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder) && is_dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder)) {
                $dir = new Moc10_File_Dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder, true, true);

                foreach ($dir->files as $fle) {
                    if ((file_exists($fle)) && (is_file($fle))) {
                        unlink($fle);
                    }
                }

                foreach ($dir->files as $fle) {
                    if ((file_exists($fle)) && (is_dir($fle))) {
                        rmdir($fle);
                    }
                }
                $dir->emptyDir($dir->path);
            }

            // Remove the theme folder.
            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder) && is_dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder)) {
                rmdir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder);
            }

            // Remove the theme.
            $theme->delete();

        }

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/extensions/themes.php?action=removed');
        }

    } else {

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/extensions/themes.php');
        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
