<?php

/**
 * Phire Install Start Script
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once 'bootstrap.php';
require_once 'core/process/install.check.php';
include_once 'core/process/init.php';

if ($sys_check == true) {

    header('Location: ./install/');

// Else, process the install index page.
} else {

    if (!isset($_GET['language'])) {
        header('Location: ./install.php?language=en');
    } else {

        $form = new Phire_Form_Install('./install.php' . (isset($_GET['language']) ? '?language=' . $_GET['language'] : null), 'post', '        ');

        if ($_POST) {

            $form->init($_POST);

            if ($form->isValid()) {
                $form->process();
                header('Location: ./install/?language=' . $_POST['language']);
            } else {
                include_once 'core/includes/header.php';
                print("        <h2 class=\"blueHeader\">" . $lang->__('Install') . " &gt; " . (isset($_GET['language']) ? ($lang->__('Step 1') . ' &gt; ' . $lang->__('Set Database & Path Information')) : ($lang->__('Start') . ' &gt; ' . $lang->__('Select Language'))) . "</h2>\n        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\"><strong>" . $lang->__('Welcome!') . "</strong> " . $lang->__('And thanks for choosing Phire CMS. To install Phire CMS, please fill out the information below.') . "<br /><strong class=\"error\">" . $lang->__('Please Note:') . "</strong> " . $lang->__("You will need to make the blank 'config.php' file and the content folder (and everything below it) writable.") . "</p>\n");
                $form->render();
                include_once 'core/includes/footer.php';
            }

        } else {

            include_once 'core/includes/header.php';
            print("        <h2 class=\"blueHeader\">" . $lang->__('Install') . " &gt; " . (isset($_GET['language']) ? ($lang->__('Step 1') . ' &gt; ' . $lang->__('Set Database & Path Information')) : ($lang->__('Start') . ' &gt; ' . $lang->__('Select Language'))) . "</h2>\n        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\"><strong>" . $lang->__('Welcome!') . "</strong> " . $lang->__('And thanks for choosing Phire CMS. To install Phire CMS, please fill out the information below.') . "<br /><strong class=\"error\">" . $lang->__('Please Note:') . "</strong> " . $lang->__("You will need to make the blank 'config.php' file and the content folder (and everything below it) writable.") . "</p>\n");
            $form->init();
            $form->render();
            include_once 'core/includes/footer.php';

        }

    }

}

?>