<?php

/**
 * Phire Mobile Assets Add Images
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

?>
        <br />
        <h3 class="blueHeader"><?php $lang->_e('Assets'); ?> &gt; <?php $lang->_e('Images'); ?> &gt; <?php $lang->_e('Add Image'); ?></h3>
<?php

// Check if an add image form has been submitted and has returned with errors.
if (isset($sess->add_images_form)) {

    try {

        if (isset($sess->image_error)) {
            print($sess->image_error);
        }

        if (isset($sess->zip_error)) {
            print($sess->zip_error);
        }

        $sess->add_images_form->render();

    } catch (Exception $e) {

        unset($sess->add_images_form);
        unset($sess->image_error);
        unset($sess->zip_error);

        $form = new Phire_Form_AddImage('../../core/process/add.images.php', 'post', '        ');
        $form->init(array('mobile' => 'true'));
        $form->render();

    }

// Else, initialize and render a new add image form.
} else {

    $form = new Phire_Form_AddImage('../../core/process/add.images.php', 'post', '        ');
    $form->init(array('mobile' => 'true'));

    if (isset($sess->image_error)) {
        print($sess->image_error);
    }

    if (isset($sess->zip_error)) {
        print($sess->zip_error);
    }

    $form->render();

}

include_once '../../core/includes/mobile/footer.php';

?>