<?php

/**
 * Phire System Updated
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.admin.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (file_exists($_SERVER['DOCUMENT_ROOT'] . BASE_PATH . CONTENT_PATH . '/update.php')) {
    unlink($_SERVER['DOCUMENT_ROOT'] . BASE_PATH . CONTENT_PATH . '/update.php');
}

// Update phone home statistics.
$cfg = new Phire_Table_Config();

$curl_url = 'http://www.phirecms.org/updates/stats.php?action=update&sys=' . base64_encode($cfg->settings['system_version']) . '&os=' . base64_encode($cfg->settings['server_os']) . '&serv=' . base64_encode($cfg->settings['server_software']) . '&mysql=' . base64_encode($cfg->settings['mysql_version']) . '&php=' . base64_encode($cfg->settings['php_version']) . '&lang=' . base64_encode($cfg->settings['default_language']);
$options = array(CURLOPT_URL => $curl_url,
                 CURLOPT_HEADER => FALSE);
$curl = new Moc10_Curl($options);
$curl->execute();
unset($curl);

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Updated to'); ?> v <?php print($_GET['version']); ?></h2>
        <p style="width: 95%; margin: 0 auto; padding: 5px 0 10px 0;">
            <?php $lang->_e('Congratulations. Phire CMS has been successfully updated to version %1.', $_GET['version']); ?>
        </p>
<?php

include_once '../core/includes/footer.php';

?>